<HTML>

<HEAD></HEAD>

<BODY>
<script type="text/javascript">
async function goOne()
  {
  let url=document.getElementById('urlString').value;
  let url2='http://localhost:3001/categories';
  const responses = async ()=> {
      const response1 = fetchRequest(url);
      const response2 = fetchRequest(url2);
      return await Promise.all([response1, response2]).then(data => {return data});
  }
  let resps=await responses();
      renderResponse(resps[0], 'outPut1');
      renderResponse(resps[1], 'outPut3');
  
  const datas = async ()=> {
      const data1 = makeData(resps[0]);
      const data2 = makeData(resps[1]);
      return await Promise.all([data1, data2]).then(data => {return data});
  }
   let dats=await datas();
      renderData(dats[0], 'outPut2');
      renderData(dats[1], 'outPut4');
      
return;            
}
    
    
async function fetchRequest (url)
    {
        console.log('fetch for '+url+' '+Date.now());
        return await fetch(url);  
    }
    
async function makeData(response)
    {
        return await response.json();
    }
    
function renderResponse(response, div)
{
    let str='<BR>Status '+response.status+'<BR>';
    str+='Headers '+response.headers.get('Content-Type')+'<BR>';
    str+='Responce type '+response.type;
    document.getElementById(div).innerHTML=str;           
    return;    
}

function renderData (data, div)
{    
    document.getElementById(div).innerHTML=JSON.stringify(data);  
    return;
}
    
    </script>
    Url for query:<input type='text' size='20' value='http://localhost:3001/users' id='urlString'>
    <input type='button' value='Get data from url' id='getDataButton' onClick='goOne()'>
    <div id='outPut1'></div>
    <div id='outPut2'></div>
    <div id='outPut3'></div>
    <div id='outPut4'></div>

</BODY>

</HTML>
